{if $get['add']}
    {include file="$dir/extensions/OverwriteTaxRules/templates/add_tax_rule.tpl"}
{/if}

{if $get['edit']}
    {include file="$dir/extensions/OverwriteTaxRules/templates/edit_tax_rule.tpl"}
{/if}

<a href='{$before_path}/admin/addonmodules.php?module=puq_customization&extension=overwrite_tax_rules&action=tax_rules&add=1' class="btn btn-default">{$lang['Add new Tax Rule']}</a>
<a href='{$before_path}/admin/addonmodules.php?module=puq_customization&extension=overwrite_tax_rules&action=tax_rules&add_rules_for_eu_countries=1' class="btn btn-default">{$lang['Add rules for EU countries']}</a>

<br>
<br>
<table class="datatable" style="width: 100%;">
    <tr class="header">
        <th>ID</th>
        <th>{$lang['Order']}</th>
        <th>{$lang['Country']}</th>
        <th>{$lang['Home company']}</th>
        <th style="width: 100px;">{$lang['Private client']}</th>
        <th>{$lang['Company without VAT ID']}</th>
        <th>{$lang['Company with VAT ID']}</th>
        <th>{$lang['Individual TAX rate']}</th>
        <th>{$lang['Tax name']}</th>
        <th>{$lang['Tax rate']}</th>
    <tr>
        {foreach from=$tax_rules key=i item=value}
    <tr>
        <td>
            <a href='{$before_path}/admin/addonmodules.php?module=puq_customization&extension=overwrite_tax_rules&action=tax_rules&edit={$value['id']}'>#{$value['id']}</a>
           ({$value['order']})
        </td>
        <td style="text-align: center;">

            {if $i == 0}
                <a class="btn btn-warning" disabled><i class="fa fa-arrow-up"></i></a>
                <a href="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=overwrite_tax_rules&action=tax_rules&move_down={$value['order']}" class="btn btn-warning"><i class="fa fa-arrow-down"></i></a>
            {elseif $i == count($tax_rules)-1}
                <a href="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=overwrite_tax_rules&action=tax_rules&move_up={$value['order']}" class="btn btn-warning"><i class="fa fa-arrow-up"></i></a>
                <a class="btn btn-warning" disabled><i class="fa fa-arrow-down"></i></a>
            {else}
                <a href="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=overwrite_tax_rules&action=tax_rules&move_up={$value['order']}" class="btn btn-warning"><i class="fa fa-arrow-up"></i></a>
                <a href="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=overwrite_tax_rules&action=tax_rules&move_down={$value['order']}" class="btn btn-warning"><i class="fa fa-arrow-down"></i></a>
            {/if}


        </td>
        <td>{$value['country_code']} - {$value['country_name']}</td>
        <td><b>{$value['home_company']['name']}</b><br>
            [{$value['home_company']['country_code']}] - {$value['home_company']['tax_id']}
        </td>
        {if $value['private_client'] eq '1'}
            <td style="text-align: center;" ><i class="fa fa-check-square" style="color: green; font-size: 18px;"></i></td>
        {else}
            <td style="text-align: center;"><i class="fa fa-minus-square" style="color: #bcbcbc; font-size: 18px;"></i></td>
        {/if}

        {if $value['company_without_vat_id'] eq '1'}
            <td style="text-align: center;" ><i class="fa fa-check-square" style="color: green; font-size: 18px;"></i></td>
        {else}
            <td style="text-align: center;"><i class="fa fa-minus-square" style="color: #bcbcbc; font-size: 18px;"></i></td>
        {/if}

        {if $value['company_with_vat_id'] eq '1'}
            <td style="text-align: center;" ><i class="fa fa-check-square" style="color: green; font-size: 18px;"></i></td>
        {else}
            <td style="text-align: center;"><i class="fa fa-minus-square" style="color: #bcbcbc; font-size: 18px;"></i></td>
        {/if}

        {if $value['individual_tax_rate'] eq '1'}
            <td style="text-align: center;" ><i class="fa fa-check-square" style="color: green; font-size: 18px;"></i></td>
            <td style="text-align: center;">{$value['tax_name']}</td>
            <td style="text-align: center;">{$value['tax_rate']}%</td>
        {else}
            <td style="text-align: center;"><i class="fa fa-minus-square" style="color: #bcbcbc; font-size: 18px;"></i></td>
            <td style="text-align: center;"><i class="fa fa-minus-square" style="color: #bcbcbc; font-size: 18px;"></i></td>
            <td style="text-align: center;"><i class="fa fa-minus-square" style="color: #bcbcbc; font-size: 18px;"></i></td>
        {/if}
    </tr>
    {/foreach}
</table>