<style>
    .color-palette {
        width: 300px;
        height: 50px;
        display: flex;
        flex-direction: row;
    }

    .color {
        width: 30px;
        height: 35px;
        cursor: pointer;
    }

    .disabled {
        pointer-events: none;
        opacity: 0.6;
    }

    .color1 { background-color: {$standard['navigation']}; }
    .color2 { background-color: {$standard['intellisearch']}; }
    .color3 { background-color: {$standard['icons']}; }
    .color4 { background-color: {$standard['btn_color']}; }
    .color5 { background-color: {$standard['btn_border']}; }
    .color6 { background-color: {$standard['switch']}; }
    .color7 { background-color: {$standard['tables']}; }
    .color8 { background-color: {$standard['page_selector_color']}; }
    .color9 { background-color: {$standard['page_selector_border']}; }
    .color10 { background-color: {$standard['footerbar']}; }
    .color11 { background-color: {$blue_value['navigation']}; }
    .color12 { background-color: {$blue_value['intellisearch']}; }
    .color13 { background-color: {$blue_value['icons']}; }
    .color14 { background-color: {$blue_value['btn_color']}; }
    .color15 { background-color: {$blue_value['btn_border']}; }
    .color16 { background-color: {$blue_value['switch']}; }
    .color17 { background-color: {$blue_value['tables']}; }
    .color18 { background-color: {$blue_value['page_selector_color']}; }
    .color19 { background-color: {$blue_value['page_selector_border']}; }
    .color110 { background-color: {$blue_value['footerbar']}; }
    .color21 { background-color: {$purpur_value['navigation']}; }
    .color22 { background-color: {$purpur_value['intellisearch']}; }
    .color23 { background-color: {$purpur_value['icons']}; }
    .color24 { background-color: {$purpur_value['btn_color']}; }
    .color25 { background-color: {$purpur_value['btn_border']}; }
    .color26 { background-color: {$purpur_value['switch']}; }
    .color27 { background-color: {$purpur_value['tables']}; }
    .color28 { background-color: {$purpur_value['page_selector_color']}; }
    .color29 { background-color: {$purpur_value['page_selector_border']}; }
    .color210 { background-color: {$purpur_value['footerbar']}; }
    .color31 { background-color: {$green_value['navigation']}; }
    .color32 { background-color: {$green_value['intellisearch']}; }
    .color33 { background-color: {$green_value['icons']}; }
    .color34 { background-color: {$green_value['btn_color']}; }
    .color35 { background-color: {$green_value['btn_border']}; }
    .color36 { background-color: {$green_value['switch']}; }
    .color37 { background-color: {$green_value['tables']}; }
    .color38 { background-color: {$green_value['page_selector_color']}; }
    .color39 { background-color: {$green_value['page_selector_border']}; }
    .color310 { background-color: {$green_value['footerbar']}; }
    .color41 { background-color: {$turquoise_value['navigation']}; }
    .color42 { background-color: {$turquoise_value['intellisearch']}; }
    .color43 { background-color: {$turquoise_value['icons']}; }
    .color44 { background-color: {$turquoise_value['btn_color']}; }
    .color45 { background-color: {$turquoise_value['btn_border']}; }
    .color46 { background-color: {$turquoise_value['switch']}; }
    .color47 { background-color: {$turquoise_value['tables']}; }
    .color48 { background-color: {$turquoise_value['page_selector_color']}; }
    .color49 { background-color: {$turquoise_value['page_selector_border']}; }
    .color410 { background-color: {$turquoise_value['footerbar']}; }
</style>
<script src="/modules/addons/puq_customization/extensions/AdminPanelUnique/lib/jscolor.min.js"></script>
<div id="container">
</div>
<form method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=admin_panel_unique&action=configuration">

    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>
            <tr>
                <td class="fieldlabel">{$lang['Enabled']}</td>
                <td class="fieldarea">
                    <select name="enabled" class="form-control select-inline">
                        <option value="yes" {if $config['enabled'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['enabled'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['Enable or disable all custom functions.']}
                </td>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Choose themes']}</td>
                <td class="fieldarea">
                    <div style="width: 100%;">
                        <div class="inside" style="display: flex; flex-wrap: wrap; text-align: center;">
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Standard']} <br/>
                                <button type="button" id="standard" class="btn color-palette">
                                    <div class="color color1"></div>
                                    <div class="color color2"></div>
                                    <div class="color color3"></div>
                                    <div class="color color4"></div>
                                    <div class="color color5"></div>
                                    <div class="color color6"></div>
                                    <div class="color color7"></div>
                                    <div class="color color8"></div>
                                    <div class="color color9"></div>
                                    <div class="color color10"></div>
                                </button>
                            </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Shades of blue']}
                                <button type="button" id="blue_value" class="btn color-palette">
                                    <div class="color color11"></div>
                                    <div class="color color12"></div>
                                    <div class="color color13"></div>
                                    <div class="color color14"></div>
                                    <div class="color color15"></div>
                                    <div class="color color16"></div>
                                    <div class="color color17"></div>
                                    <div class="color color18"></div>
                                    <div class="color color19"></div>
                                    <div class="color color110"></div>
                                </button>                            </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Shades of purple']}
                                <button type="button" id="purple_value" class="btn color-palette">
                                    <div class="color color21"></div>
                                    <div class="color color22"></div>
                                    <div class="color color23"></div>
                                    <div class="color color24"></div>
                                    <div class="color color25"></div>
                                    <div class="color color26"></div>
                                    <div class="color color27"></div>
                                    <div class="color color28"></div>
                                    <div class="color color29"></div>
                                    <div class="color color210"></div>
                                </button>                            </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Shades of green']}
                                <button type="button" id="green_value" class="btn color-palette">
                                    <div class="color color31"></div>
                                    <div class="color color32"></div>
                                    <div class="color color33"></div>
                                    <div class="color color34"></div>
                                    <div class="color color35"></div>
                                    <div class="color color36"></div>
                                    <div class="color color37"></div>
                                    <div class="color color38"></div>
                                    <div class="color color39"></div>
                                    <div class="color color310"></div>
                                </button>                            </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Shades of turquoise']}
                                <button type="button" id="turquoise_value" class="btn color-palette">
                                    <div class="color color41"></div>
                                    <div class="color color42"></div>
                                    <div class="color color43"></div>
                                    <div class="color color44"></div>
                                    <div class="color color45"></div>
                                    <div class="color color46"></div>
                                    <div class="color color47"></div>
                                    <div class="color color48"></div>
                                    <div class="color color49"></div>
                                    <div class="color color410"></div>
                                </button>                            </div>
                        </div>
                    </div>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Choose the colors']}</td>
                <td class="fieldarea">
                    <div style="width: 100%; text-align: center;">
                        <div class="inside" style="display: flex; flex-wrap: wrap;">
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Navigation']} <br/>
                                <input type="color" id="navigationqq" name="navigation" class="form-control select-inline" value="{$config['navigation']}"/>
                        </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Search']} <br/>
                                <input type="color" id="intellisearchqq" name="intellisearch" class="form-control select-inline" value="{$config['intellisearch']}"/>
                        </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Icons']} <br/>
                                <input type="color" id="icons" name="icons" class="form-control select-inline" value="{$config['icons']}"/>
                        </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Buttons']} <br/>
                                <input type="color" id="btn_color" name="btn_color" class="form-control select-inline" value="{$config['btn_color']}"/>
                        </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Buttons border']} <br/>
                                <input type="color" id="btn_border" name="btn_border" class="form-control select-inline" value="{$config['btn_border']}"/>
                        </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Switch']} <br/>
                                <input type="color" id="switch" name="switch" class="form-control select-inline" value="{$config['switch']}"/>
                        </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Tables']} <br/>
                                <input type="color" id="tables" name="tables" class="form-control select-inline" value="{$config['tables']}"/>
                        </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Page selector']} <br/>
                                <input type="color" id="page_selector_color" name="page_selector_color" class="form-control select-inline" value="{$config['page_selector_color']}"/>
                        </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Page selector border']} <br/>
                                <input type="color" id="page_selector_border" name="page_selector_border" class="form-control select-inline" value="{$config['page_selector_border']}"/>
                        </div>
                            <div style="flex: 1 1 300px; border-right: 2px solid white; margin-right: 1px;">
                                {$lang['Footerbar']} <br/>
                                <input type="color" id="footerbar" name="footerbar" class="form-control select-inline" value="{$config['footerbar']}"/>
                        </div>
                        </div>
                    </div>
            </tr>
            <tr>
                <td class="fieldlabel">{$lang['Example']}</td>
                <td class="fieldarea">
                {include file='../templates/view.tpl'}
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="btn-container">
        <button type="submit" name="submit" value="submit" id="submit" class="btn btn-primary">{$lang['Save Changes']}</button>
    </div>
</form>
<script>
    var navigationInput = document.getElementById('navigationqq');
    var searchInput = document.getElementById('intellisearchqq');
    var iconsInput = document.getElementById('icons');
    var btnColorInput = document.getElementById('btn_color');
    var btnBorderInput = document.getElementById('btn_border');
    var switchInput = document.getElementById('switch');
    var tablesInput = document.getElementById('tables');
    var pageSelectorColorInput = document.getElementById('page_selector_color');
    var pageSelectorBorderInput = document.getElementById('page_selector_border');
    var footerbarInput = document.getElementById('footerbar');
    var example_window_div = document.getElementById('example_window');
    function updateStyles() {
        var navigation = navigationInput.value;
        var search = searchInput.value;
        var icons = iconsInput.value;
        var btn_color = btnColorInput.value;
        var btn_border = btnBorderInput.value;
        var switch_color = switchInput.value;
        var tables = tablesInput.value;
        var page_selector_color = pageSelectorColorInput.value;
        var page_selector_border = pageSelectorBorderInput.value;
        var footerbar = footerbarInput.value;
        var elements = example_window_div.querySelectorAll(".intellisearch form .form-control");
        for (var i = 0; i < elements.length; i++) {

            elements[i].style.backgroundColor = search;
        }
        var elements = example_window_div.querySelectorAll(".navigation");
        for (var i = 0; i < elements.length; i++) {
            elements[i].style.backgroundColor = navigation;
        }
        var elements = example_window_div.querySelectorAll(".navigation ul li ul.drop-icons li a .ico-container i");
        for (var i = 0; i < elements.length; i++) {
            elements[i].style.color = icons;
        }
        elements = example_window_div.querySelectorAll(".btn-primary");
        for (var i = 0; i < elements.length; i++) {
            elements[i].style.backgroundColor = btn_color;
            elements[i].style.borderColor = btn_border;
        }
        elements = example_window_div.querySelectorAll(".bootstrap-switch .bootstrap-switch-handle-off.bootstrap-switch-primary, .bootstrap-switch .bootstrap-switch-handle-on.bootstrap-switch-primary");
        for (var i = 0; i < elements.length; i++) {
            elements[i].style.backgroundColor = switch_color;
        }
        elements = example_window_div.querySelectorAll("table.datatable th");
        for (var i = 0; i < elements.length; i++) {
            elements[i].style.backgroundColor = tables;
        }
        elements = example_window_div.querySelectorAll(".page-selector.active");
        for (var i = 0; i < elements.length; i++) {
            elements[i].style.backgroundColor = page_selector_color;
            elements[i].style.borderColor = page_selector_border;
        }
        elements = example_window_div.querySelectorAll(".footerbar");
        for (var i = 0; i < elements.length; i++) {
            elements[i].style.backgroundColor = footerbar;
        }
        navigationInput.style.backgroundImage = navigationInput.value;
        searchInput.style.backgroundImage = searchInput.value;
        iconsInput.style.backgroundImage = iconsInput.value;
        btnColorInput.style.backgroundImage = btnColorInput.value;
        btnBorderInput.style.backgroundImage = btnBorderInput.value;
        switchInput.style.backgroundImage = switchInput.value;
        tablesInput.style.backgroundImage = tablesInput.value;
        pageSelectorColorInput.style.backgroundImage = pageSelectorColorInput.value;
        pageSelectorBorderInput.style.backgroundImage = pageSelectorBorderInput.value;
        footerbarInput.style.backgroundImage = footerbarInput.value;
    }
    if (navigationInput && searchInput && iconsInput && btnColorInput && btnBorderInput && switchInput && tablesInput && pageSelectorColorInput && pageSelectorBorderInput && footerbarInput) {
        var isEnabled = document.querySelector('select[name="enabled"]').value;
        navigationInput.addEventListener('input', updateStyles);
        searchInput.addEventListener('input', updateStyles);
        iconsInput.addEventListener('input', updateStyles);
        btnColorInput.addEventListener('input', updateStyles);
        btnBorderInput.addEventListener('input', updateStyles);
        switchInput.addEventListener('input', updateStyles);
        tablesInput.addEventListener('input', updateStyles);
        pageSelectorColorInput.addEventListener('input', updateStyles);
        pageSelectorBorderInput.addEventListener('input', updateStyles);
        footerbarInput.addEventListener('input', updateStyles);
        if (isEnabled != 'no') {
            updateStyles();
        }
    }
    document.addEventListener('DOMContentLoaded', (event) => {
        let palettes = ['standard', 'blue_value', 'purple_value', 'green_value', 'turquoise_value'];
        for(let i = 0; i < palettes.length; i++) {
            let palette = document.getElementById(palettes[i]);
            palette.addEventListener('click', function(event) {
                let colors = palette.getElementsByClassName('color');
                let ids = ['navigationqq', 'intellisearchqq', 'icons', 'btn_color', 'btn_border', 'switch', 'tables', 'page_selector_color', 'page_selector_border', 'footerbar'];
                for(let j = 0; j < ids.length; j++) {
                    let inputElement = document.getElementById(ids[j]);
                    if (inputElement) {
                        inputElement.value = rgbaToHexa(getComputedStyle(colors[j]).backgroundColor);
                        var inputEvent = new Event('input', {
                            'bubbles': true,
                            'cancelable': true
                        });
                        inputElement.dispatchEvent(inputEvent);
                    }
                }
                updateStyles();
            });
        }
    });
    function rgbaToHexa(color) {
        let sep = color.indexOf(",") > -1 ? "," : " ";
        color = color.substr(4).split(")")[0].split(sep);
        let r = (+color[0].trim()).toString(16),
            g = (+color[1].trim()).toString(16),
            b = (+color[2].trim()).toString(16),
            a = Math.round(+color[3] * 255).toString(16);
        if (r.length == 1)
            r = "0" + r;
        if (g.length == 1)
            g = "0" + g;
        if (b.length == 1)
            b = "0" + b;
        if (a.length >= 3) {
            a = "";
        }
        if (a.length == 1)
            a = "0" + a;
        return "#" + r + g + b + a;
    }
    $(document).ready(function(){
        $('select[name="enabled"]').change(function(){
            if ($(this).val() == 'no') {
                $('input[name="navigation"]').prop('disabled', true);
                $('input[name="intellisearch"]').prop('disabled', true);
                $('input[name="icons"]').prop('disabled', true);
                $('input[name="btn_color"]').prop('disabled', true);
                $('input[name="btn_border"]').prop('disabled', true);
                $('input[name="switch"]').prop('disabled', true);
                $('input[name="tables"]').prop('disabled', true);
                $('input[name="page_selector_color"]').prop('disabled', true);
                $('input[name="page_selector_border"]').prop('disabled', true);
                $('input[name="footerbar"]').prop('disabled', true);

                $('#standard').addClass('disabled');
                $('#blue_value').addClass('disabled');
                $('#purple_value').addClass('disabled');
                $('#green_value').addClass('disabled');
                $('#turquoise_value').addClass('disabled');
            } else {
                $('input[name="navigation"]').prop('disabled', false);
                $('input[name="intellisearch"]').prop('disabled', false);
                $('input[name="icons"]').prop('disabled', false);
                $('input[name="btn_color"]').prop('disabled', false);
                $('input[name="btn_border"]').prop('disabled', false);
                $('input[name="switch"]').prop('disabled', false);
                $('input[name="tables"]').prop('disabled', false);
                $('input[name="page_selector_color"]').prop('disabled', false);
                $('input[name="page_selector_border"]').prop('disabled', false);
                $('input[name="footerbar"]').prop('disabled', false);

                $('#standard').removeClass('disabled');
                $('#blue_value').removeClass('disabled');
                $('#purple_value').removeClass('disabled');
                $('#green_value').removeClass('disabled');
                $('#turquoise_value').removeClass('disabled');
            }
        }).change();
    });

    $(document).ready(function(){
        $('select[name="enabled"]').change(function(){
            if ($(this).val() == 'no') {
                $('#standard').click();
                $('#submit').click();
                $('input[name="navigation"]').prop('disabled', true);
                $('input[name="intellisearch"]').prop('disabled', true);
                $('input[name="icons"]').prop('disabled', true);
                $('input[name="btn_color"]').prop('disabled', true);
                $('input[name="btn_border"]').prop('disabled', true);
                $('input[name="switch"]').prop('disabled', true);
                $('input[name="tables"]').prop('disabled', true);
                $('input[name="page_selector_color"]').prop('disabled', true);
                $('input[name="page_selector_border"]').prop('disabled', true);
                $('input[name="footerbar"]').prop('disabled', true);
                $('#standard').addClass('disabled');
                $('#blue_value').addClass('disabled');
                $('#purple_value').addClass('disabled');
                $('#green_value').addClass('disabled');
                $('#turquoise_value').addClass('disabled');
            } else {
                $('input[name="navigation"]').prop('disabled', false);
                $('input[name="intellisearch"]').prop('disabled', false);
                $('input[name="icons"]').prop('disabled', false);
                $('input[name="btn_color"]').prop('disabled', false);
                $('input[name="btn_border"]').prop('disabled', false);
                $('input[name="switch"]').prop('disabled', false);
                $('input[name="tables"]').prop('disabled', false);
                $('input[name="page_selector_color"]').prop('disabled', false);
                $('input[name="page_selector_border"]').prop('disabled', false);
                $('input[name="footerbar"]').prop('disabled', false);
                $('#standard').removeClass('disabled');
                $('#blue_value').removeClass('disabled');
                $('#purple_value').removeClass('disabled');
                $('#green_value').removeClass('disabled');
                $('#turquoise_value').removeClass('disabled');
            }
            $('#standard').click();
        });
    });
    function loading() {
        var htmlCode = "<div class='loader'><div class='loader-inner'><div class='loader-line-wrap'><div class='loader-line'></div></div><div class='loader-line-wrap'><div class='loader-line'></div></div><div class='loader-line-wrap'><div class='loader-line'></div></div><div class='loader-line-wrap'><div class='loader-line'></div></div><div class='loader-line-wrap'><div class='loader-line'></div></div></div></div>";
        document.getElementById('container').innerHTML = htmlCode;
    }
</script>
